ailure.&#xA;Last Operation: %Oper%&#xA;Error: %ErrorCode% - %ExCode%"></IssueMatch>
    <IssueMatch Type="OutputString" Value="LogEntry: %FindErrorWithinLastPhase%"></IssueMatch>
    <IssueMatch Type="OutputString" Value="&#xA;Refer to &quot;https://docs.microsoft.com/en-us/windows/desktop/Debug/system-error-codes&quot; for error information."></IssueMatch>
  </Rule>
  <Rule Name="FindEarlyDownlevelError" Args="BreakOnMatch" GUID="A4CE4FC9-5E10-4BB1-8ECE-3B29EB9D7C52">
    <Qualifier Type="FileExists" Value="Setupact.log" Args="CheckSubDirs"></Qualifier>
    <RegEx Name="SetupManagerReportsFailure"><![CDATA[(?<SetupManagerReportsFailure>MOUPG\s+SetupManager:\sFailureCount\s=\s\[1\])]]></RegEx>
    <RegEx Name="LastPhase"><![CDATA[(?<LastPhase>MOUPG\s+Setup\sphase\schange:\s\[(?<Oper>\w+)\]\s->\s\[SetupPhaseError\])]]></RegEx>
    <RegEx Name="LastError"><![CDATA[(?<LastError>MOUPG\s+SetupHost:\sReporting\serror\sevent\s->\s\[(?<ErrorCode>\w+),)]]></RegEx>
    <Directive Type="MatchRegEx" Value="%SetupManagerReportsFailure%" File="setupact.log" Args="RightToLeft"></Directive>
    <Directive Type="MatchRegEx" Value="%LastPhase%" File="setupact.log" Args="RightToLeft"></Directive>
    <Directive Type="MatchRegEx" Value="%LastError%" File="setupact.log" Args="RightToLeft"></Directive>
    <Directive Type="FindErrorWithinLastPhase" Value="%ErrorCode%" File="setupact.log" Args="optional"></Directive>
    <IssueMatch Type="OutputString" Value="&#xA;SetupDiag reports early down-level failure found."></IssueMatch>
    <IssueMatch Type="OutputString" Value="Failure Data:&#xA;Last Operation: %Oper%&#xA;Error: %ErrorCode%"></IssueMatch>
    <IssueMatch Type="OutputString" Value="&#xA;Refer to &quot;https://docs.microsoft.com/en-us/windows/desktop/Debug/system-error-codes&quot; for error information."></IssueMatch>
  </Rule>
  <Rule Name="FindSPFatalError" Args="BreakOnMatch" GUID="A4028172-1B09-48F8-AD3B-86CDD7D55852">
    <Qualifier Type="FileExists" Value="setupact.log" Args="CheckSubDirs"></Qualifier>
    <RegEx Name="SPFatalError"><![CDATA[(?<SPFatalError>FatalError\s+SP\s+Exception\shandler\scalled!\sDetails:\[gle=(?<Err>0x\w+)\])]]></RegEx>
    <Directive Type="MatchRegEx" Value="%SPFatalError%" File="setupact.log" Args=""></Directive>
    <Directive Type="FindErrorWithinLastPhase" Value="%Err%" File="setupact.log" Args=""></Directive>
    <IssueMatch Type="OutputString" Value="&#xA;Error: SetupDiag reports Fatal Error.&#xA;Last Setup Phase = %LastPhase%&#xA;Last Setup Operation: %LastOperation%&#xA;Error: %Err%"></IssueMatch>
    <IssueMatch Type="OutputString" Value="LogEntry: %FindErrorWithinLastPhase%"></IssueMatch>
    <IssueMatch Type="OutputString" Value="&#xA;Refer to &quot;https://docs.microsoft.com/en-us/windows/desktop/Debug/system-error-codes&quot; for error information."></IssueMatch>
  </Rule>
  <Rule Name="FindSetupPlatformFailedOperationInfo" Args="BreakOnMatch" GUID="307A0133-F06B-4B75-AEA8-116C3B53C2D1">
    <Qualifier Type="FileExists" Value="Setupact.log" Args="CheckSubDirs"></Qualifier>
    <RegEx Name="SetupPlatformOperationFailure"><![CDATA[(?<SetupPlatformOperationFailure>Error\s+SP\s+Operation\sfailed:\s+(?<FailedOperation>(.+))\.\sError:\s(?<OpError>0x\w{2,})?)]]></RegEx>
    <!--<RegEx Name="LastSetupOperationStarted"><![CDATA[(?<LastSetupOperationStarted>Info\s+SP\s+Executing\soperation:\s(?<LastOp