 </summary>
            <value>A client object that specifies the Table service endpoint.</value>
        </member>
        <member name="P:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceContext.AuthenticationHandler">
            <summary>
            Gets the authentication handler used to sign HTTP requests.
            </summary>
            <value>The authentication handler.</value>
        </member>
        <member name="T:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceEntity">
            <summary>
            Represents an entity in the Windows Azure Table service.
            </summary>
        </member>
        <member name="M:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceEntity.#ctor(System.String,System.String)">
            <summary>
            Initializes a new instance of the <see cref="T:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceEntity"/> class.
            </summary>
            <param name="partitionKey">The partition key.</param>
            <param name="rowKey">The row key.</param>
        </member>
        <member name="M:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceEntity.#ctor">
            <summary>
            Initializes a new instance of the <see cref="T:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceEntity"/> class.
            </summary>
        </member>
        <member name="P:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceEntity.Timestamp">
            <summary>
            Gets or sets the timestamp for the entity.
            </summary>
            <value>The entity's timestamp.</value>
        </member>
        <member name="P:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceEntity.PartitionKey">
            <summary>
            Gets or sets the partition key of a table entity.
            </summary>
            <value>The partition key.</value>
        </member>
        <member name="P:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceEntity.RowKey">
            <summary>
            Gets or sets the row key of a table entity.
            </summary>
            <value>The row key.</value>
        </member>
        <member name="T:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceExtensions">
            <summary>
            Provides a set of extensions for the Table service.
            </summary>
        </member>
        <member name="M:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceExtensions.AsTableServiceQuery``1(System.Linq.IQueryable{``0},Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceContext)">
            <summary>
            Converts the query into a <see cref="T:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceQuery`1"/> object that supports 
            additional operations like retries.
            </summary>
            <typeparam name="TElement">The type of the element.</typeparam>
            <param name="query">The query.</param>
            <param name="context">A <see cref="T:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceContext"/> object that represents the runtime context of the Table service.</param>
            <returns>The converted query.</returns>
        </member>
        <member name="T:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceQuery`1">
            <summary>
            A class for constructing a query against the Table service.
            </summary>
            <typeparam name="TElement">The type of the element.</typeparam>    
        </member>
        <member name="M:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceQuery`1.#ctor(System.Linq.IQueryable{`0},Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceContext)">
            <summary>
            Initializes a new instance of the <see cref="T:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceQuery`1"/> class.
            </summary>
            <param name="query">An object that implements <see cref="T:System.Linq.IQueryable"/>.</param>
            <param name="context">A <see cref="T:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceContext"/> object.</param>
        </member>
        <member name="M:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceQuery`1.Expand(System.String)">
            <summary>
            Expands the specified path.
            </summary>
            <param name="path">The path to expand.</param>
            <returns>A new query with the expanded path.</returns>
        </member>
        <member name="M:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceQuery`1.GetEnumerator">
            <summary>
            Returns an enumerator that iterates through the collection.
            </summary>
            <returns>
            A <see cref="T:System.Collections.Generic.IEnumerator`1"/> that can be used to iterate through the collection.
            </returns>
        </member>
        <member name="M:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceQuery`1.Execute(Microsoft.WindowsAzure.Storage.Table.TableRequestOptions,Microsoft.WindowsAzure.Storage.OperationContext)">
            <summary>
            Executes the request with any specified options.
            </summary>
            <param name="requestOptions">A <see cref="T:Microsoft.WindowsAzure.Storage.Table.TableRequestOptions"/> object that specifies additional options for the request.</param>
            <param name="operationContext">An <see cref="T:Microsoft.WindowsAzure.Storage.OperationContext"/> object that represents the context for the current operation.</param>
            <returns>An enumerable collection, specialized for type <c>TElement</c>, of the results of executing the query.</returns>
        </member>
        <member name="M:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceQuery`1.ExecuteSegmented(Microsoft.WindowsAzure.Storage.Table.TableContinuationToken,Microsoft.WindowsAzure.Storage.Table.TableRequestOptions,Microsoft.WindowsAzure.Storage.OperationContext)">
            <summary>
            Executes a segmented query against the Table service.
            </summary>
            <param name="continuationToken">The continuation token.</param>
            <param name="requestOptions">The request options.</param>
            <param name="operationContext">An <see cref="T:Microsoft.WindowsAzure.Storage.OperationContext"/> object that represents the context for the current operation.</param>
            <returns>A result segment containing objects of type <typeparamref name="TElement"/>.</returns>
        </member>
        <member name="M:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceQuery`1.BeginExecuteSegmented(Microsoft.WindowsAzure.Storage.Table.TableContinuationToken,System.AsyncCallback,System.Object)">
            <summary>
            Begins an asynchronous operation to execute a query and return the results as a result segment.
            </summary>
            <param name="currentToken">A continuation token returned by a previous listing operation, can be null.</param>
            <param name="callback">An <see cref="T:System.AsyncCallback"/> delegate that will receive notification when the asynchronous operation completes.</param>
            <param name="state">A user-defined object that will be passed to the callback delegate.</param>
            <returns>An <see cref="T:System.IAsyncResult"/> that references the asynchronous operation.</returns>
        </member>
        <member name="M:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceQuery`1.BeginExecuteSegmented(Microsoft.WindowsAzure.Storage.Table.TableContinuationToken,Microsoft.WindowsAzure.Storage.Table.TableRequestOptions,Microsoft.WindowsAzure.Storage.OperationContext,System.AsyncCallback,System.Object)">
            <summary>
            Begins an asynchronous operation to execute a query and return the results as a result segment.
            </summary>
            <param name="currentToken">A continuation token returned by a previous listing operation, can be null.</param>
            <param name="requestOptions">A <see cref="T:Microsoft.WindowsAzure.Storage.Table.TableRequestOptions"/> object that specifies additional options for the request.</param>
            <param name="operationContext">An <see cref="T:Microsoft.WindowsAzure.Storage.OperationContext"/> object that represents the context for the current operation.</param>
            <param name="callback">An <see cref="T:System.AsyncCallback"/> delegate that will receive notification when the asynchronous operation completes.</param>
            <param name="state">A user-defined object that will be passed to the callback delegate.</param>
            <returns>An <see cref="T:System.IAsyncResult"/> that references the asynchronous operation.</returns>
        </member>
        <member name="M:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceQuery`1.EndExecuteSegmented(System.IAsyncResult)">
            <summary>
            Ends an asynchronous operation to execute a query and return the results as a result segment.
            </summary>
            <param name="asyncResult">The reference to the pending asynchronous request to finish.</param>
            <returns>A result segment containing objects of type <typeparamref name="TElement"/>.</returns>
        </member>
        <member name="M:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceQuery`1.ExecuteSegmentedAsync(Microsoft.WindowsAzure.Storage.Table.TableContinuationToken)">
            <summary>
            Initiates an asynchronous operation to execute a query and return the results as a result segment.
            </summary>
            <param name="currentToken">A continuation token returned by a previous listing operation, can be null.</param>
            <returns>A <see cref="T:System.Threading.Tasks.Task`1"/> object that represents the asynchronous operation.</returns>
        </member>
        <member name="M:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceQuery`1.ExecuteSegmentedAsync(Microsoft.WindowsAzure.Storage.Table.TableContinuationToken,System.Threading.CancellationToken)">
            <summary>
            Initiates an asynchronous operation to execute a query and return the results as a result segment.
            </summary>
            <param name="currentToken">A continuation token returned by a previous listing operation, can be null.</param>
            <param name="cancellationToken">A <see cref="T:System.Threading.CancellationToken"/> to observe while waiting for a task to complete.</param>
            <returns>A <see cref="T:System.Threading.Tasks.Task`1"/> object that represents the asynchronous operation.</returns>
        </member>
        <member name="M:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceQuery`1.ExecuteSegmentedAsync(Microsoft.WindowsAzure.Storage.Table.TableContinuationToken,Microsoft.WindowsAzure.Storage.Table.TableRequestOptions,Microsoft.WindowsAzure.Storage.OperationContext)">
            <summary>
            Initiates an asynchronous operation to execute a query and return the results as a result segment.
            </summary>
            <param name="currentToken">A continuation token returned by a previous listing operation, can be null.</param>
            <param name="requestOptions">A <see cref="T:Microsoft.WindowsAzure.Storage.Table.TableRequestOptions"/> object that specifies additional options for the request.</param>
            <param name="operationContext">An <see cref="T:Microsoft.WindowsAzure.Storage.OperationContext"/> object that represents the context for the current operation.</param>
            <returns>A <see cref="T:System.Threading.Tasks.Task`1"/> object that represents the asynchronous operation.</returns>
        </member>
        <member name="M:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceQuery`1.ExecuteSegmentedAsync(Microsoft.WindowsAzure.Storage.Table.TableContinuationToken,Microsoft.WindowsAzure.Storage.Table.TableRequestOptions,Microsoft.WindowsAzure.Storage.OperationContext,System.Threading.CancellationToken)">
            <summary>
            Initiates an asynchronous operation to execute a query and return the results as a result segment.
            </summary>
            <param name="currentToken">A continuation token returned by a previous listing operation, can be null.</param>
            <param name="requestOptions">A <see cref="T:Microsoft.WindowsAzure.Storage.Table.TableRequestOptions"/> object that specifies additional options for the request.</param>
            <param name="operationContext">An <see cref="T:Microsoft.WindowsAzure.Storage.OperationContext"/> object that represents the context for the current operation.</param>
            <param name="cancellationToken">A <see cref="T:System.Threading.CancellationToken"/> to observe while waiting for a task to complete.</param>
            <returns>A <see cref="T:System.Threading.Tasks.Task`1"/> object that represents the asynchronous operation.</returns>
        </member>
        <member name="P:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceQuery`1.Context">
            <summary>
            Gets the Table service context.
            </summary>
            <value>
            An object of type <see cref="T:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceContext"/>.
            </value>
        </member>
        <member name="P:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceQuery`1.Query">
            <summary>
            Stores the wrapped <see cref="T:System.Data.Services.Client.DataServiceQuery`1"/>.
            </summary>
        </member>
        <member name="P:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceQuery`1.ElementType">
            <summary>
            Gets the type of the element(s) that are returned when the expression tree associated with this 
            instance of <see cref="T:System.Linq.IQueryable"/> is executed.
            </summary>
            <value>
            A <see cref="T:System.Type"/> that represents the type of the element(s) that are returned when the expression tree associated with this object is executed.
            </value>
        </member>
        <member name="P:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceQuery`1.Expression">
            <summary>
            Gets the expression tree that is associated with the instance of <see cref="T:System.Linq.IQueryable"/>.
            </summary>
            <value>
            The <see cref="T:System.Linq.Expressions.Expression"/> that is associated with this instance of <see cref="T:System.Linq.IQueryable"/>.
            </value>
        </member>
        <member name="P:Microsoft.WindowsAzure.Storage.Table.DataServices.TableServiceQuery`1.Provider">
            <summary>
            Gets the query provider that is associated with this data source.
            </summary>
            <value>
            The <see cref="T:System.Linq.IQueryProvider"/> that is associated with this data source.
            </value>
        </member>
        <member name="T:Microsoft.WindowsAzure.Storage.Table.Protocol.TableHttpWebRequestFactory">
            <summary>
            A factory class for constructing a web request to manage tables in the Table service.
            </summary>
        </member>
        <member name="M:Microsoft.WindowsAzure.Storage.Table.Protocol.TableHttpWebRequestFactory.GetServiceProperties(System.Uri,Microsoft.WindowsAzure.Storage.Core.UriQueryBuilder,System.Nullable{System.Int32},Microsoft.WindowsAzure.Storage.OperationContext)">
            <summary>
            Creates a web request to get the properties of the Table service.
            </summary>
            <param name="uri">A <see cref="T:System.Uri"/> specifying the Table service endpoint.</param>
            <param name="builder">A <see cref="T:Microsoft.WindowsAzure.Storage.Core.UriQueryBuilder"/> object specifying additional parameters to add to the URI query string.</param>
            <param name="timeout">The server timeout interval, in seconds.</param>
            <param name="operationContext">An <see cref="T:Microsoft.WindowsAzure.Storage.OperationContext"/> object that represents the context for the current operation.</param>
            <returns>A <see cref="T:System.Net.HttpWebRequest"/> object.</returns>
        </member>
        <member name="M:Microsoft.WindowsAzure.Storage.Table.Protocol.TableHttpWebRequestFactory.GetServiceProperties(System.Uri,Microsoft.WindowsAzure.Storage.Core.UriQueryBuilder,System.Nullable{System.Int32},System.Boolean,Microsoft.WindowsAzure.Storage.OperationContext)">
            <summary>
            Creates a web request to get the properties of the Table service.
            </summary>
            <param name="uri">A <see cref="T:System.Uri"/> specifying the Table service endpoint.</param>
            <param name="builder">A <see cref="T:Microsoft.WindowsAzure.Storage.Core.UriQueryBuilder"/> object specifying additional parameters to add to the URI query string.</param>
            <param name="timeout">The server timeout interval, in seconds.</param>
            <param name="useVersionHeader">A flag indicating whether to set the x-ms-version HTTP header.</param>
            <param name="operationContext">An <see cref="T:Microsoft.WindowsAzure.Storage.OperationContext"/> object that represents the context for the current operation.</param>
            <returns>A <see cref="T:System.Net.HttpWebRequest"/> object.</returns>
        </member>
        <member name="M:Microsoft.WindowsAzure.Storage.Table.Protocol.TableHttpWebRequestFactory.SetServiceProperties(System.Uri,Microsoft.WindowsAzure.Storage.Core.UriQueryBuilder,System.Nullable{System.Int32},Microsoft.WindowsAzure.Storage.OperationContext)">
            <summary>
            Creates a web request to set the properties of the Table service.
            </summary>
            <param name="uri">A <see cref="T:System.Uri"/> specifying the Table service endpoint.</param>
            <param name="builder">A <see cref="T:Microsoft.WindowsAzure.Storage.Core.UriQueryBuilder"/> object specifying additional parameters to add to the URI query string.</param>
            <param name="timeout">The server timeout interval, in seconds.</param>
            <param name="operationContext">An <see cref="T:Microsoft.WindowsAzure.Storage.OperationContext"/> object that represents the context for the current operation.</param>
            <returns>A <see cref="T:System.Net.HttpWebRequest"/> object.</returns>
        </member>
        <member name="M:Microsoft.WindowsAzure.Storage.Table.Protocol.TableHttpWebRequestFactory.SetServiceProperties(System.Uri,Microsoft.WindowsA